<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ConditionalFormatting.aspx.cs"  Inherits="ConditionalFormatting" %>
<%@ Register Assembly="Syncfusion.Grid.Grouping.Web" Namespace="Syncfusion.Web.UI.WebControls.Grid.Grouping"  TagPrefix="sfwg" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
  <title>Essential Grid Conditional Formatting Sample</title>

  <script runat="server">
    private void ToggleCallback(object sender, EventArgs e)
    {
      this.GridGroupingControl1.EnableCallbacks = !this.GridGroupingControl1.EnableCallbacks;
    }
  </script>

</head>
<body>
  <form id="form1" runat="server">
    <div>
      <h4>
        Essential Grid Conditional Formatting Demo</h4>
    </div>
    <hr width="100%" size="1">
    <table id="Table1" style="width: 936px; height: 95px" cellspacing="1" cellpadding="1"
      width="936" border="0">
      <tr>
        <td>
          <asp:Label ID="Label3" runat="server" ForeColor="#2A437E">ProductID</asp:Label></td>
        <td style="width: 116px">
          <asp:DropDownList ID="ProductID" runat="server" Width="120px">
            <asp:ListItem Value="Equals">Equals</asp:ListItem>
            <asp:ListItem Value="Greater">Greater than</asp:ListItem>
            <asp:ListItem Value="Lower">Lower than</asp:ListItem>
          </asp:DropDownList></td>
        <td>
          <asp:Label ID="Label4" runat="server" ForeColor="#2A437E">Value</asp:Label><asp:DropDownList
            ID="DDLPid" runat="server" DataSourceID="AccessDataSource1" DataTextField="ProductID"
            DataValueField="ProductID" Width="40px">
          </asp:DropDownList></td>
        <td>
        </td>
        <td>
          <asp:Label ID="Label5" runat="server" ForeColor="#2A437E">RowFormat:</asp:Label></td>
        <td>
          <asp:Label ID="Label8" runat="server" ForeColor="#2A437E">Color</asp:Label><asp:DropDownList
            ID="colorProduct" runat="server">
          </asp:DropDownList></td>
        <td>
          <asp:CheckBox ID="strikeoutProduct" runat="server" ForeColor="#2A437E" Text="StrikeOut"
            Font-Strikeout="True"></asp:CheckBox></td>
        <td>
          <asp:CheckBox ID="boldProduct" runat="server" Font-Bold="True" ForeColor="#2A437E"
            Text="Bold"></asp:CheckBox></td>
        <td>
          <asp:CheckBox ID="italicProduct" runat="server" ForeColor="#2A437E" Text="Italic"
            Font-Italic="True"></asp:CheckBox></td>
        <td>
          <asp:CheckBox ID="underlineProduct" runat="server" ForeColor="#2A437E" Text="Underline"
            Font-Underline="True"></asp:CheckBox>
        </td>
      </tr>
      <tr>
        <td>
          <asp:Label ID="Label6" runat="server" ForeColor="#2A437E">CategoryID</asp:Label></td>
        <td style="width: 116px">
          <asp:DropDownList ID="CategoryID" runat="server" Width="120px">
            <asp:ListItem Value="Equals">Equals</asp:ListItem>
            <asp:ListItem Value="Greater">Greater than</asp:ListItem>
            <asp:ListItem Value="Lower">Lower than</asp:ListItem>
          </asp:DropDownList>
        </td>
        <td>
          <asp:Label ID="Label7" runat="server" ForeColor="#2A437E">Value</asp:Label><asp:DropDownList
            ID="DDLCid" runat="server" DataSourceID="AccessDataSource2" DataTextField="CategoryID"
            DataValueField="CategoryID" Width="40px">
          </asp:DropDownList></td>
        <td>
        </td>
        <td>
          <asp:Label ID="Label9" runat="server" ForeColor="#2A437E">RowFormat:</asp:Label></td>
        <td>
          <asp:Label ID="Label10" runat="server" ForeColor="#2A437E">Color</asp:Label><asp:DropDownList
            ID="colorCategory" runat="server">
          </asp:DropDownList>
        </td>
        <td>
          <asp:CheckBox ID="strikeoutCategory" runat="server" ForeColor="#2A437E" Text="StrikeOut"
            Font-Strikeout="True"></asp:CheckBox>
        </td>
        <td>
          <asp:CheckBox ID="boldCategory" runat="server" Font-Bold="True" ForeColor="#2A437E"
            Text="Bold"></asp:CheckBox>
        </td>
        <td>
          <asp:CheckBox ID="italicCategory" runat="server" ForeColor="#2A437E" Text="Italic"
            Font-Italic="True"></asp:CheckBox>
        </td>
        <td>
          <asp:CheckBox ID="underlineCategory" runat="server" ForeColor="#2A437E" Text="Underline"
            Font-Underline="True"></asp:CheckBox>
        </td>
      </tr>
      <tr>
        <td align="right" colspan="10" style="height: 26px">
          <asp:Button ID="Button1" runat="server" Text="Apply Conditions" OnClick="Button1_Click">
          </asp:Button></td>
      </tr>
    </table>
    <br />
    <br />
    <asp:CheckBox ID="CheckBox1" runat="server" Checked="true" AutoPostBack="true" OnCheckedChanged="ToggleCallback"
      Text="EnableCallback" />
    <sfwg:gridgroupingcontrol id="GridGroupingControl1" runat="server" DataMember="DefaultView"
      DataSourceID="AccessDataSource1" EnableCallbacks="true" OnBarButtonItemClicked="GridGroupingControl1_BarButtonItemClicked">
      <buttonbars>
        <sfwg:NavigatorBar ButtonBackColor="Control">
          <BarItems>
          <sfwg:ButtonBarItem ButtonBarItemType="MoveFirst"></sfwg:ButtonBarItem>
          <sfwg:ButtonBarItem ButtonBarItemType="MovePrevPage"></sfwg:ButtonBarItem>
          <sfwg:ButtonBarItem ButtonBarItemType="MovePrev"></sfwg:ButtonBarItem>
          <sfwg:ButtonBarItem ButtonBarItemType="MoveNext"></sfwg:ButtonBarItem>
          <sfwg:ButtonBarItem ButtonBarItemType="MoveNextPage"></sfwg:ButtonBarItem>
          <sfwg:ButtonBarItem ButtonBarItemType="MoveLast"></sfwg:ButtonBarItem>
          <sfwg:ButtonBarItem ButtonBarItemType="Refresh"></sfwg:ButtonBarItem>
          <sfwg:ButtonBarItem ButtonBarItemType="Save"></sfwg:ButtonBarItem>
          <sfwg:ButtonBarItem ButtonBarItemType="Cancel"></sfwg:ButtonBarItem>
          <sfwg:ButtonBarItem Tooltip="ExcelExport" Text="ExcelExport" ImageUrl="Images\btnExcelExport.gif"></sfwg:ButtonBarItem>
          </BarItems>
        </sfwg:NavigatorBar>
      </buttonbars>
      <appearance>
        <AlternateRecordFieldCell Interior="Solid; 224, 224, 224"></AlternateRecordFieldCell>
        <RecordFieldCell Interior="Solid; PeachPuff"></RecordFieldCell>
      </appearance>
      <tabledescriptor allownew="False"></tabledescriptor>
    </sfwg:gridgroupingcontrol>
    <br />
    <asp:AccessDataSource ID="AccessDataSource1" runat="server" SelectCommand="SELECT [ProductID], [ProductName], [SupplierID], [CategoryID], [QuantityPerUnit], [UnitPrice], [UnitsInStock], [UnitsOnOrder], [ReorderLevel] FROM [Products]"
      DataFile='<%# Server.MapPath("\\Syncfusion\\Web\\Data\\NWind.MDB") %>' UpdateCommand="UPDATE [Products] SET [ProductName] = ?, [SupplierID] = ?, [CategoryID] = ?, [QuantityPerUnit] = ?, [UnitPrice] = ?, [UnitsInStock] = ?, [UnitsOnOrder] = ?, [ReorderLevel] = ? WHERE [ProductID] = ?">
        
        <UpdateParameters>
            <asp:Parameter Name="ProductName" Type="String" />
            <asp:Parameter Name="SupplierID" Type="Int32" />
            <asp:Parameter Name="CategoryID" Type="Int32" />
            <asp:Parameter Name="QuantityPerUnit" Type="String" />
            <asp:Parameter Name="UnitPrice" Type="Decimal" />
            <asp:Parameter Name="UnitsInStock" Type="Int16" />
            <asp:Parameter Name="UnitsOnOrder" Type="Int16" />
            <asp:Parameter Name="ReorderLevel" Type="Int16" />
            <asp:Parameter Name="ProductID" Type="Int32" />
        </UpdateParameters>
        
    </asp:AccessDataSource>
    <asp:AccessDataSource ID="AccessDataSource2" runat="server" DataFile='<%# Server.MapPath("\\Syncfusion\\Web\\Data\\NWind.MDB") %>'
      SelectCommand="SELECT [CategoryID], [CategoryName], [Description] FROM [Categories]"  UpdateCommand="UPDATE [Categories] SET [CategoryName] = ?, [Description] = ? WHERE [CategoryID] = ?">
        <UpdateParameters>
            <asp:Parameter Name="CategoryName" Type="String" />
            <asp:Parameter Name="Description" Type="String" />
            <asp:Parameter Name="CategoryID" Type="Int32" />
        </UpdateParameters>
     </asp:AccessDataSource>
    <br />
   
  </form>
</body>
</html>
